import { Component, Injectable } from '@angular/core';
import { Store } from '@ngrx/store';
import * as appCommonReducer from '../reducers/app-common.reducer'
import {IItemTypes} from '../models/item.types'
import {IItem} from '../models/item'

@Injectable()
export class ItemTypeService {
    private _itemTypes: IItemTypes;

    constructor(private store: Store<appCommonReducer.State> ) { 
         this.store.select(appCommonReducer.selectGetItemTypes).subscribe((itemTypes) => {
            this._itemTypes = itemTypes;
         });
    }

     getIcon(itemType: string) {
       var icon = "fa-file-o";
       if (this._itemTypes[itemType]) icon = this._itemTypes[itemType].icon;
       return icon;
     }

     getColor(itemType: string) {
       var color = "#000000";
       if (this._itemTypes[itemType]) color = this._itemTypes[itemType].iconColor;
       return color;
     }

     hasViewer(item: IItem) {
        let itemType: string = item.itemType;
        if (this._itemTypes[itemType]) return this._itemTypes[itemType].viewer !== undefined;
        return false;
      }
      
}